﻿/*
* ============================================================================
*  Name        : InvalidParamException.as
*  Part of     : Nokia Flash Lite
*  Description : Defines the class which models the exception to be
 thrown when invalid parameter is used.
*                
*  Version     :
*
*  Copyright © 2007-2008 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia
* ============================================================================
*/
/*
  Class: com.nokia.lib.ExceptionInvalidParam

  The class models the exception to be thrown when invalid parameter is used.
*/
intrinsic class com.nokia.lib.InvalidParamException extends Error {
	var message = "Invalid Input Parameter";
}
